org.apache.ignite.internal.visor.diagnostic.availability

## Class VisorConnectivityTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorConnectivityArgs,Map<ClusterNode,VisorConnectivityResult>,VisorConnectivityResult>
  - - org.apache.ignite.internal.visor.diagnostic.availability.VisorConnectivityTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorConnectivityArgs>,Map<ClusterNode,VisorConnectivityResult>>

    @GridInternal
    public class VisorConnectivityTask
    extends VisorMultiNodeTask<VisorConnectivityArgs,Map<ClusterNode,VisorConnectivityResult>,VisorConnectivityResult>

Visor task that checks connectivity status between nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorConnectivityTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorConnectivityArgs,VisorConnectivityResult>` `job(VisorConnectivityArgs arg)`
`protected Collection<UUID>` `jobNodes(VisorTaskArgument<VisorConnectivityArgs> arg)`
`protected @Nullable Map<ClusterNode,VisorConnectivityResult>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorConnectivityTask

    public VisorConnectivityTask()

### Method Detail

#### job

    protected VisorJob<VisorConnectivityArgs,VisorConnectivityResult> job(VisorConnectivityArgs arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorConnectivityArgs,Map<ClusterNode,VisorConnectivityResult>,VisorConnectivityResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable Map<ClusterNode,VisorConnectivityResult> reduce0(List<ComputeJobResult> results)
                                                                            throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorConnectivityArgs,Map<ClusterNode,VisorConnectivityResult>,VisorConnectivityResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

#### jobNodes

    protected Collection<UUID> jobNodes(VisorTaskArgument<VisorConnectivityArgs> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<VisorConnectivityArgs,Map<ClusterNode,VisorConnectivityResult>,VisorConnectivityResult>`
Returns:
  Collection of nodes IDs where jobs should be mapped.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023